<template>
    <div class="main-card">
        <div class="main-card__wrapper">
            <div class="main-card__header">
                <div class="main-card__header-wrapper">
                    <h6 class="main-card__header-title">Основной счет</h6>
                </div>
            </div>
            <div class="main-card__content">
                <CardRow :bank="mainCard.bank"
                         :card="mainCard.card"
                         :system="mainCard.system"
                         :bound="mainCard.bound"
                         :main="mainCard.main"
                         :remove="mainCard.remove"/>
            </div>
        </div>
    </div>
</template>

<script>
    import CardRow from "../../components/CardRow/index";

    export default {
        name: "MainCard",
        components: {
            CardRow
        },
        data() {
            return {
                mainCard: {
                    bound: true,
                    main: true,
                    remove: true,
                    card: {
                        number: '5521-49**-****-9513',
                        automaticPayment: {
                            date: '11.11.1111',
                            sum: '15000'
                        },
                    },
                    bank: {
                        name: 'Альфа-Банк **** 9513',
                        icon: 'alpha-bank-mini',
                    },
                    system: {
                        icon: 'visa-35',
                    }
                }
            }
        }
    }
</script>